Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jsp.dbutil
Class CursorBean

    java.lang.Object
      |
      +--oracle.jsp.dbutil.CursorBean

public class CursorBean
extends java.lang.Object
implements JspScopeListener

A general purpose cursor bean. Can represent Statement, Prepared Statement and Callable Statement depending upon the type specified. Can also represent Scrollable cursors.

- ExecuteBatch Execute Batch Size for DMLs
- PreFetch Row prefetch size for the rows returned for querie
- queryTimeout Query Timeout for SQL Execution
- ResultSetType ResultSetType for Scrollable Cursors
- ResultSetConcurrency Concurrency for Scrollable Cursors

  Field Summary
  `static int` | `CALL_STMT`
  `static int` | `CONCUR_READ_ONLY`
  `static int` | `CONCUR_UPDATABLE`
  `static int` | `PLAIN_STMT`
  `static int` | `PREP_STMT`
  `static int` | `TYPE_FORWARD_ONLY`
  `static int` | `TYPE_SCROLL_INSENSITIVE`
  `static int` | `TYPE_SCROLL_SENSITIVE`

  Constructor Summary
  `CursorBean()`

  Method Summary
  `void` | `close()` Close the cursor.
  `void` | `create()` Create a cursor for Queries
  `void` | `create(ConnBean cb)` Create a cursor for Queries
  `void` | `create(ConnBean cb, int type, java.lang.String sql)` Create a cursor with the given type and sql string on a given connection.
  `void` | `create(int type, java.lang.String sql)` Create a cursor with the given type and sql string on a connection set before.
  `boolean` | `execute()` Execute the Statement and return the status.
  `boolean` | `execute(java.lang.String sql)` Execute the Statement with the given sql.
  `java.sql.ResultSet` | `executeQuery()` Execute the Statement and return the ResultSet.
  `java.sql.ResultSet` | `executeQuery(java.lang.String sql)` Execute the Statement with the given Sql.
  `int` | `executeUpdate()` Execute the Statement and return the no of rows affected.
  `int` | `executeUpdate(java.lang.String sql)` Execute the Statement with the given Sql.
  `oracle.jsp.dbutil.ARRAY` | `getARRAY(int parameterIndex)`
  `java.io.InputStream` | `getAsciiStream(int parameterIndex)`
  `oracle.jsp.dbutil.BFILE` | `getBFILE(int parameterIndex)`
  `java.math.BigDecimal` | `getBigDecimal(int parameterIndex, int scale)`
  `java.io.InputStream` | `getBinaryStream(int parameterIndex)`
  `oracle.jsp.dbutil.BLOB` | `getBLOB(int parameterIndex)`
  `boolean` | `getBoolean(int parameterIndex)`
  `byte` | `getByte(int parameterIndex)`
  `byte[]` | `getBytes(int parameterIndex)`
  `oracle.jsp.dbutil.CHAR` | `getCHAR(int parameterIndex)`
  `oracle.jsp.dbutil.CLOB` | `getCLOB(int parameterIndex)`
  `java.sql.ResultSet` | `getCursor(int parameterIndex)`
  `java.lang.Object` | `getCustomDatum(int parameterIndex, oracle.jsp.dbutil.CustomDatumFactory factory)`
  `java.sql.Date` | `getDate(int parameterIndex)`
  `oracle.jsp.dbutil.DATE` | `getDATE(int parameterIndex)`
  `double` | `getDouble(int parameterIndex)`
  `int` | `getExecuteBatch()` Get the execute batch size for this cursor bean.
  `float` | `getFloat(int parameterIndex)`
  `int` | `getInt(int parameterIndex)`
  `java.sql.Connection` | `getJDBCConnection()` Get the underlying connection object.
  `long` | `getLong(int parameterIndex)`
  `oracle.jsp.dbutil.NUMBER` | `getNUMBER(int parameterIndex)`
  `java.lang.Object` | `getObject(int parameterIndex)`
  `oracle.jsp.dbutil.Datum` | `getOracleObject(int parameterIndex)`
  `int` | `getPreFetch()` Get the Row prefetch size for this cursor bean.
  `int` | `getQueryTimeout()` The queryTimeout limit is the number of seconds the driver will wait for a Statement to execute.
  `oracle.jsp.dbutil.RAW` | `getRAW(int parameterIndex)`
  `oracle.jsp.dbutil.REF` | `getREF(int parameterIndex)`
  `java.lang.String` | `getResultAsHTMLTable()` Execute the Sql and return the result as a HTM Table.
  `java.lang.String` | `getResultAsHTMLTable(java.lang.String sql)` Execute the Sql and return the result as a HTM Table.
  `java.lang.String` | `getResultAsXMLString()` Execute the Sql and return the result as a XML String Sql string is the one that was used at creation time.
  `java.lang.String` | `getResultAsXMLString(java.lang.String sql)` Execute the Sql and return the result as a XML String
  `int` | `getResultSetConcurrency()` Return the concurrency level set for this cursor.
  `int` | `getResultSetType()` Return the result type set for this cursor.
  `oracle.jsp.dbutil.ROWID` | `getROWID(int parameterIndex)`
  `short` | `getShort(int parameterIndex)`
  `java.lang.String` | `getString(int parameterIndex)`
  `oracle.jsp.dbutil.STRUCT` | `getSTRUCT(int parameterIndex)`
  `java.sql.Time` | `getTime(int parameterIndex)`
  `java.sql.Timestamp` | `getTimestamp(int parameterIndex)`
  `java.io.InputStream` | `getUnicodeStream(int parameterIndex)`
  `int` | `getUpdateCount()`
  `void` | `outOfScope(JspScopeEvent ae)` Invoked when a JSP scope that this object is attached to is ending.
  `void` | `registerOutParameter(int paramIndex, int sqlType)`
  `void` | `registerOutParameter(int paramIndex, int sqlType, int scale)`
  `void` | `registerOutParameter(int paramIndex, int sqlType, int scale, int maxLength)`
  `void` | `registerOutParameter(int paramIndex, int sqlType, java.lang.String sqlName)`
  `void` | `setARRAY(int paramIndex, oracle.jsp.dbutil.ARRAY arr)`
  `void` | `setAsciiStream(int paramIndex, java.io.InputStream istream, int length)`
  `void` | `setBfile(int paramIndex, oracle.jsp.dbutil.BFILE file)`
  `void` | `setBFILE(int paramIndex, oracle.jsp.dbutil.BFILE file)`
  `void` | `setBigDecimal(int paramIndex, java.math.BigDecimal x)`
  `void` | `setBinaryStream(int paramIndex, java.io.InputStream istream, int length)`
  `void` | `setBLOB(int paramIndex, oracle.jsp.dbutil.BLOB lob)`
  `void` | `setBoolean(int paramIndex, boolean x)`
  `void` | `setByte(int paramIndex, byte x)`
  `void` | `setBytes(int paramIndex, byte[] x)`
  `void` | `setCHAR(int paramIndex, oracle.jsp.dbutil.CHAR ch)`
  `void` | `setCLOB(int paramIndex, oracle.jsp.dbutil.CLOB lob)`
  `void` | `setConnBean(ConnBean cb)` Set the underlying connection bean.
  `void` | `setCursor(int paramIndex, java.sql.ResultSet rs)`
  `void` | `setCustomDatum(int paramIndex, oracle.jsp.dbutil.CustomDatum x)`
  `void` | `setDate(int paramIndex, java.sql.Date x)`
  `void` | `setDATE(int paramIndex, oracle.jsp.dbutil.DATE date)`
  `void` | `setDouble(int paramIndex, double x)`
  `void` | `setExecuteBatch(int bsize)` Set the Execute Batch Size for DMLs.
  `void` | `setFixedCHAR(int paramIndex, java.lang.String x)`
  `void` | `setFloat(int paramIndex, float x)`
  `void` | `setInt(int paramIndex, int x)`
  `void` | `setLong(int paramIndex, long x)`
  `void` | `setNull(int paramIndex, int sqlType)`
  `void` | `setNull(int paramIndex, int sqlType, java.lang.String sqlName)`
  `void` | `setNUMBER(int paramIndex, oracle.jsp.dbutil.NUMBER num)`
  `void` | `setObject(int paramIndex, java.lang.Object x)`
  `void` | `setObject(int paramIndex, java.lang.Object x, int targetSqlType)`
  `void` | `setObject(int paramIndex, java.lang.Object x, int targetSqlType, int scale)`
  `void` | `setOracleObject(int paramIndex, oracle.jsp.dbutil.Datum x)`
  `void` | `setPreFetch(int prefSize)` Set the Row prefetch size for the rows returned for queries.
  `void` | `setQueryTimeout(int tout)` The queryTimeout limit is the number of seconds the driver will wait for a Statement to execute.
  `void` | `setRAW(int paramIndex, oracle.jsp.dbutil.RAW raw)`
  `void` | `setREF(int paramIndex, oracle.jsp.dbutil.REF ref)`
  `void` | `setRefType(int paramIndex, oracle.jsp.dbutil.REF ref)`
  `void` | `setResultSetConcurrency(int rscon)` Set the ResultSet Concurrency for the cursor.
  `void` | `setResultSetType(int rtype)` Set the ResultType for the cursor created.
  `void` | `setROWID(int paramIndex, oracle.jsp.dbutil.ROWID x)`
  `void` | `setShort(int paramIndex, short x)`
  `void` | `setString(int paramIndex, java.lang.String x)`
  `void` | `setSTRUCT(int paramIndex, oracle.jsp.dbutil.STRUCT struct)`
  `void` | `setTime(int paramIndex, java.sql.Time x)`
  `void` | `setTimestamp(int paramIndex, java.sql.Timestamp x)`
  `void` | `setUnicodeStream(int paramIndex, java.io.InputStream istream, int length)`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Field Detail

  ### PLAIN_STMT

      public static final int PLAIN_STMT

  ### PREP_STMT

      public static final int PREP_STMT

  ### CALL_STMT

      public static final int CALL_STMT

  ### TYPE_FORWARD_ONLY

      public static final int TYPE_FORWARD_ONLY

  ### TYPE_SCROLL_INSENSITIVE

      public static final int TYPE_SCROLL_INSENSITIVE

  ### TYPE_SCROLL_SENSITIVE

      public static final int TYPE_SCROLL_SENSITIVE

  ### CONCUR_READ_ONLY

      public static final int CONCUR_READ_ONLY

  ### CONCUR_UPDATABLE

      public static final int CONCUR_UPDATABLE

  Constructor Detail

  ### CursorBean

      public CursorBean()

  Method Detail

  ### setConnBean

      public void setConnBean(ConnBean cb)

    Set the underlying connection bean.
    Parameters:
      `cb` - underlying connection bean for the cursor

  ### create

      public void create(ConnBean cb,
                         int type,
                         java.lang.String sql)
                  throws java.sql.SQLException

    Create a cursor with the given type and sql string on a given connection. Sql can be null for Plain Statement.

    Parameters:
      `cb` - underlying connection bean for the cursor
      `stype` - Statement Type. Possible values are
      - ConnBean.PLAIN_STMT : For Plain Statements
      - ConnBean.PREP_STMT : For Prepared Statement
      - ConnBean.CALL_STMT : For Callable Statements

      `sql` - Sql string to be executed
    Throws:
      java.sql.SQLException - if cursor creation fails.

  ### create

      public void create(ConnBean cb)
                  throws java.sql.SQLException

    Create a cursor for Queries
    Parameters:
      `cb` - underlying connection bean for the cursor
    Throws:
      java.sql.SQLException - if cursor creation fails.

  ### create

      public void create()
                  throws java.sql.SQLException

    Create a cursor for Queries
    Throws:
      java.sql.SQLException - if cursor creation fails.

  ### getJDBCConnection

      public java.sql.Connection getJDBCConnection()

    Get the underlying connection object.
    Returns:
      JDBC Connection Object

  ### create

      public void create(int type,
                         java.lang.String sql)
                  throws java.sql.SQLException

    Create a cursor with the given type and sql string on a connection set before. Sql is ignored if it's a Plain Statement.

    Parameters:
      `stype` - Statement Type. Possible values are
      - ConnBean.PLAIN_STMT : For Plain Statements
      - ConnBean.PREP_STMT : For Prepared Statement
      - ConnBean.CALL_STMT : For Callable Statements

      `sql` - Sql string to be executed
    Throws:
      java.sql.SQLException - if cursor creation fails.

  ### executeQuery

      public java.sql.ResultSet executeQuery(java.lang.String sql)
                                      throws java.sql.SQLException

    Execute the Statement with the given Sql. Overwrites the previously set Sql String. Typically should be called for Vanilla Statements.
    Parameters:
      `Sql` - string to be executed
    Returns:
      Return the rows in the form of a ResultSet
    Throws:
      java.sql.SQLException - if sql execution fails

  ### executeQuery

      public java.sql.ResultSet executeQuery()
                                      throws java.sql.SQLException

    Execute the Statement and return the ResultSet. Typically should be called by Prepared and Callable Statements.
    Returns:
      Return the rows in the form of a ResultSet
    Throws:
      java.sql.SQLException - if sql execution fails

  ### executeUpdate

      public int executeUpdate(java.lang.String sql)
                        throws java.sql.SQLException

    Execute the Statement with the given Sql. Overwrites the previously set Sql String. Typically should be called for Vanilla Statements.
    Parameters:
      `Sql` - string to be executed
    Returns:
      Return the rows of rows affected.
    Throws:
      java.sql.SQLException - if sql execution fails

  ### executeUpdate

      public int executeUpdate()
                        throws java.sql.SQLException

    Execute the Statement and return the no of rows affected. Typically should be called by Prepared and Callable Statements.
    Returns:
      Return the rows of rows affected.
    Throws:
      java.sql.SQLException - if sql execution fails

  ### getUpdateCount

      public int getUpdateCount()
                         throws java.sql.SQLException

  ### execute

      public boolean execute(java.lang.String sql)
                      throws java.sql.SQLException

    Execute the Statement with the given sql. Typically should be called for Vanilla Statements.
    Returns:
      Return the status of the Statement execution
    Throws:
      java.sql.SQLException - if sql execution fails

  ### execute

      public boolean execute()
                      throws java.sql.SQLException

    Execute the Statement and return the status. Typically should be called by Prepared and Callable Statements.
    Returns:
      Return the status of the Statement execution
    Throws:
      java.sql.SQLException - if sql execution fails

  ### close

      public void close()
                 throws java.sql.SQLException

    Close the cursor.
    Throws:
      java.sql.SQLException - error during closing

  ### setResultSetType

      public void setResultSetType(int rtype)

    Set the ResultType for the cursor created. The default is TYPE_FORWARD_ONLY

    Parameters:
      `rtype` - Result Set type. Possible values are
      - CursorBean.TYPE_FORWARD_ONLY
      - CursorBean.TYPE_SCROLL_INSENSITIVE
      - CursorBean.TYPE_SCROLL_SENSITIVE

  ### getResultSetType

      public int getResultSetType()

    Return the result type set for this cursor.
    Returns:
      result type set or the default if not set.

  ### setResultSetConcurrency

      public void setResultSetConcurrency(int rscon)

    Set the ResultSet Concurrency for the cursor. Default value is CONCUR_READ_ONLY

    Parameters:
      `rscon.` - ResultSet Concurrency. Possible values are
      - CursorBean.CONCUR_READ_ONLY
      - CursorBean.CONCUR_UPDATABLE

  ### getResultSetConcurrency

      public int getResultSetConcurrency()

    Return the concurrency level set for this cursor.
    Returns:
      concurrency level set or the default if not set.

  ### setPreFetch

      public void setPreFetch(int prefSize)

    Set the Row prefetch size for the rows returned for queries.

    Parameters:
      `prefSize` - prefetch size

  ### getPreFetch

      public int getPreFetch()

    Get the Row prefetch size for this cursor bean. Returns 10 (default) if not set.

    Returns:
      Row prefetch size for this cursor bean.

  ### setExecuteBatch

      public void setExecuteBatch(int bsize)

    Set the Execute Batch Size for DMLs.

    Parameters:
      `bsize` - Execute Batch Size

  ### getExecuteBatch

      public int getExecuteBatch()

    Get the execute batch size for this cursor bean. Returns 1 (default) if not set.

    Returns:
      execute batch size for this cursor bean.

  ### setQueryTimeout

      public void setQueryTimeout(int tout)

    The queryTimeout limit is the number of seconds the driver will wait for a Statement to execute. If the limit is exceeded, a SQLException is thrown.

    Parameters:
      `tout` - the new query timeout limit in seconds; zero means unlimit

  ### getQueryTimeout

      public int getQueryTimeout()

    The queryTimeout limit is the number of seconds the driver will wait for a Statement to execute. If the limit is exceeded, a SQLException is thrown.
    Returns:
      the current query timeout limit in seconds; zero means unlimited

  ### setNull

      public void setNull(int paramIndex,
                          int sqlType,
                          java.lang.String sqlName)
                   throws java.sql.SQLException

  ### setNull

      public void setNull(int paramIndex,
                          int sqlType)
                   throws java.sql.SQLException

  ### setBoolean

      public void setBoolean(int paramIndex,
                             boolean x)
                      throws java.sql.SQLException

  ### setByte

      public void setByte(int paramIndex,
                          byte x)
                   throws java.sql.SQLException

  ### setShort

      public void setShort(int paramIndex,
                           short x)
                    throws java.sql.SQLException

  ### setInt

      public void setInt(int paramIndex,
                         int x)
                  throws java.sql.SQLException

  ### setLong

      public void setLong(int paramIndex,
                          long x)
                   throws java.sql.SQLException

  ### setFloat

      public void setFloat(int paramIndex,
                           float x)
                    throws java.sql.SQLException

  ### setDouble

      public void setDouble(int paramIndex,
                            double x)
                     throws java.sql.SQLException

  ### setBigDecimal

      public void setBigDecimal(int paramIndex,
                                java.math.BigDecimal x)
                         throws java.sql.SQLException

  ### setString

      public void setString(int paramIndex,
                            java.lang.String x)
                     throws java.sql.SQLException

  ### setFixedCHAR

      public void setFixedCHAR(int paramIndex,
                               java.lang.String x)
                        throws java.sql.SQLException

  ### setCursor

      public void setCursor(int paramIndex,
                            java.sql.ResultSet rs)
                     throws java.sql.SQLException

  ### setROWID

      public void setROWID(int paramIndex,
                           oracle.jsp.dbutil.ROWID x)
                    throws java.sql.SQLException

  ### setARRAY

      public void setARRAY(int paramIndex,
                           oracle.jsp.dbutil.ARRAY arr)
                    throws java.sql.SQLException

  ### setSTRUCT

      public void setSTRUCT(int paramIndex,
                            oracle.jsp.dbutil.STRUCT struct)
                     throws java.sql.SQLException

  ### setRAW

      public void setRAW(int paramIndex,
                         oracle.jsp.dbutil.RAW raw)
                  throws java.sql.SQLException

  ### setCHAR

      public void setCHAR(int paramIndex,
                          oracle.jsp.dbutil.CHAR ch)
                   throws java.sql.SQLException

  ### setDATE

      public void setDATE(int paramIndex,
                          oracle.jsp.dbutil.DATE date)
                   throws java.sql.SQLException

  ### setNUMBER

      public void setNUMBER(int paramIndex,
                            oracle.jsp.dbutil.NUMBER num)
                     throws java.sql.SQLException

  ### setBLOB

      public void setBLOB(int paramIndex,
                          oracle.jsp.dbutil.BLOB lob)
                   throws java.sql.SQLException

  ### setCLOB

      public void setCLOB(int paramIndex,
                          oracle.jsp.dbutil.CLOB lob)
                   throws java.sql.SQLException

  ### setBFILE

      public void setBFILE(int paramIndex,
                           oracle.jsp.dbutil.BFILE file)
                    throws java.sql.SQLException

  ### setBfile

      public void setBfile(int paramIndex,
                           oracle.jsp.dbutil.BFILE file)
                    throws java.sql.SQLException

  ### setBytes

      public void setBytes(int paramIndex,
                           byte[] x)
                    throws java.sql.SQLException

  ### setDate

      public void setDate(int paramIndex,
                          java.sql.Date x)
                   throws java.sql.SQLException

  ### setTime

      public void setTime(int paramIndex,
                          java.sql.Time x)
                   throws java.sql.SQLException

  ### setTimestamp

      public void setTimestamp(int paramIndex,
                               java.sql.Timestamp x)
                        throws java.sql.SQLException

  ### setUnicodeStream

      public void setUnicodeStream(int paramIndex,
                                   java.io.InputStream istream,
                                   int length)
                            throws java.sql.SQLException

  ### setAsciiStream

      public void setAsciiStream(int paramIndex,
                                 java.io.InputStream istream,
                                 int length)
                          throws java.sql.SQLException

  ### setBinaryStream

      public void setBinaryStream(int paramIndex,
                                  java.io.InputStream istream,
                                  int length)
                           throws java.sql.SQLException

  ### setCustomDatum

      public void setCustomDatum(int paramIndex,
                                 oracle.jsp.dbutil.CustomDatum x)
                          throws java.sql.SQLException

  ### setObject

      public void setObject(int paramIndex,
                            java.lang.Object x,
                            int targetSqlType,
                            int scale)
                     throws java.sql.SQLException

  ### setObject

      public void setObject(int paramIndex,
                            java.lang.Object x,
                            int targetSqlType)
                     throws java.sql.SQLException

  ### setRefType

      public void setRefType(int paramIndex,
                             oracle.jsp.dbutil.REF ref)
                      throws java.sql.SQLException

  ### setREF

      public void setREF(int paramIndex,
                         oracle.jsp.dbutil.REF ref)
                  throws java.sql.SQLException

  ### setObject

      public void setObject(int paramIndex,
                            java.lang.Object x)
                     throws java.sql.SQLException

  ### setOracleObject

      public void setOracleObject(int paramIndex,
                                  oracle.jsp.dbutil.Datum x)
                           throws java.sql.SQLException

  ### registerOutParameter

      public void registerOutParameter(int paramIndex,
                                       int sqlType,
                                       java.lang.String sqlName)
                                throws java.sql.SQLException

  ### registerOutParameter

      public void registerOutParameter(int paramIndex,
                                       int sqlType,
                                       int scale)
                                throws java.sql.SQLException

  ### registerOutParameter

      public void registerOutParameter(int paramIndex,
                                       int sqlType,
                                       int scale,
                                       int maxLength)
                                throws java.sql.SQLException

  ### registerOutParameter

      public void registerOutParameter(int paramIndex,
                                       int sqlType)
                                throws java.sql.SQLException

  ### getString

      public java.lang.String getString(int parameterIndex)
                                 throws java.sql.SQLException

  ### getOracleObject

      public oracle.jsp.dbutil.Datum getOracleObject(int parameterIndex)
                                              throws java.sql.SQLException

  ### getROWID

      public oracle.jsp.dbutil.ROWID getROWID(int parameterIndex)
                                       throws java.sql.SQLException

  ### getNUMBER

      public oracle.jsp.dbutil.NUMBER getNUMBER(int parameterIndex)
                                         throws java.sql.SQLException

  ### getDATE

      public oracle.jsp.dbutil.DATE getDATE(int parameterIndex)
                                     throws java.sql.SQLException

  ### getREF

      public oracle.jsp.dbutil.REF getREF(int parameterIndex)
                                   throws java.sql.SQLException

  ### getARRAY

      public oracle.jsp.dbutil.ARRAY getARRAY(int parameterIndex)
                                       throws java.sql.SQLException

  ### getSTRUCT

      public oracle.jsp.dbutil.STRUCT getSTRUCT(int parameterIndex)
                                         throws java.sql.SQLException

  ### getCHAR

      public oracle.jsp.dbutil.CHAR getCHAR(int parameterIndex)
                                     throws java.sql.SQLException

  ### getRAW

      public oracle.jsp.dbutil.RAW getRAW(int parameterIndex)
                                   throws java.sql.SQLException

  ### getBLOB

      public oracle.jsp.dbutil.BLOB getBLOB(int parameterIndex)
                                     throws java.sql.SQLException

  ### getCLOB

      public oracle.jsp.dbutil.CLOB getCLOB(int parameterIndex)
                                     throws java.sql.SQLException

  ### getBFILE

      public oracle.jsp.dbutil.BFILE getBFILE(int parameterIndex)
                                       throws java.sql.SQLException

  ### getBoolean

      public boolean getBoolean(int parameterIndex)
                         throws java.sql.SQLException

  ### getByte

      public byte getByte(int parameterIndex)
                   throws java.sql.SQLException

  ### getShort

      public short getShort(int parameterIndex)
                     throws java.sql.SQLException

  ### getInt

      public int getInt(int parameterIndex)
                 throws java.sql.SQLException

  ### getLong

      public long getLong(int parameterIndex)
                   throws java.sql.SQLException

  ### getFloat

      public float getFloat(int parameterIndex)
                     throws java.sql.SQLException

  ### getDouble

      public double getDouble(int parameterIndex)
                       throws java.sql.SQLException

  ### getBigDecimal

      public java.math.BigDecimal getBigDecimal(int parameterIndex,
                                                int scale)
                                         throws java.sql.SQLException

  ### getBytes

      public byte[] getBytes(int parameterIndex)
                      throws java.sql.SQLException

  ### getDate

      public java.sql.Date getDate(int parameterIndex)
                            throws java.sql.SQLException

  ### getTime

      public java.sql.Time getTime(int parameterIndex)
                            throws java.sql.SQLException

  ### getTimestamp

      public java.sql.Timestamp getTimestamp(int parameterIndex)
                                      throws java.sql.SQLException

  ### getAsciiStream

      public java.io.InputStream getAsciiStream(int parameterIndex)
                                         throws java.sql.SQLException

  ### getUnicodeStream

      public java.io.InputStream getUnicodeStream(int parameterIndex)
                                           throws java.sql.SQLException

  ### getBinaryStream

      public java.io.InputStream getBinaryStream(int parameterIndex)
                                          throws java.sql.SQLException

  ### getObject

      public java.lang.Object getObject(int parameterIndex)
                                 throws java.sql.SQLException

  ### getCustomDatum

      public java.lang.Object getCustomDatum(int parameterIndex,
                                             oracle.jsp.dbutil.CustomDatumFactory factory)
                                      throws java.sql.SQLException

  ### getCursor

      public java.sql.ResultSet getCursor(int parameterIndex)
                                   throws java.sql.SQLException

  ### getResultAsXMLString

      public java.lang.String getResultAsXMLString()
                                            throws java.sql.SQLException

    Execute the Sql and return the result as a XML String Sql string is the one that was used at creation time.
    Returns:
      Result as a XML String.
    Throws:
      java.sql.SQLException - if cursor execution fails.

  ### getResultAsXMLString

      public java.lang.String getResultAsXMLString(java.lang.String sql)
                                            throws java.sql.SQLException

    Execute the Sql and return the result as a XML String
    Parameters:
      `sql` - Sql String to be executed
    Returns:
      Result as a XML String.
    Throws:
      java.sql.SQLException - if cursor execution fails.

  ### getResultAsHTMLTable

      public java.lang.String getResultAsHTMLTable(java.lang.String sql)
                                            throws java.sql.SQLException

    Execute the Sql and return the result as a HTM Table.
    Parameters:
      `sql` - Sql String to be executed
    Returns:
      Result as a HTML table.
    Throws:
      java.sql.SQLException - if cursor execution fails.

  ### getResultAsHTMLTable

      public java.lang.String getResultAsHTMLTable()
                                            throws java.sql.SQLException

    Execute the Sql and return the result as a HTM Table. Sql string is the one that was used at creation time.
    Returns:
      Result as a HTML table.
    Throws:
      java.sql.SQLException - if cursor execution fails.

  ### outOfScope

      public void outOfScope(JspScopeEvent ae)

    Description copied from interface: JspScopeListener
    Invoked when a JSP scope that this object is attached to is ending.
    Specified by:
      outOfScope in interface JspScopeListener

  Class | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD